Package twisted :: Package python :: Module components :: Class _ThingWithTwoSlots |
[frames | no frames]

## Class _ThingWithTwoSlots

    object --+
             |
            _ThingWithTwoSlots

Method Summary
| `__init__(self, a, b)`
| `__eq__(self, other)`
| ``__getstate__`(...)`
| `__hash__(self)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `__slots__` = `['a', 'b']`
`member_descriptor` | `a` = `<member 'a' of '_ThingWithTwoSlots' objects>`
`member_descriptor` | `b` = `<member 'b' of '_ThingWithTwoSlots' objects>`

Class Variable Details

    ### __slots__ Type: `list` Value:
        ['a', 'b']

    ### a Type: `member_descriptor` Value:
        <member 'a' of '_ThingWithTwoSlots' objects>

    ### b Type: `member_descriptor` Value:
        <member 'b' of '_ThingWithTwoSlots' objects>

Generated by Epydoc 2.0 on Sat Oct 25 00:54:51 2003 | http://epydoc.sf.net